searchNodes=[{"doc":"API calls for all endpoints tagged Courses.","ref":"GoogleApi.Classroom.V1.Api.Courses.html","title":"GoogleApi.Classroom.V1.Api.Courses","type":"module"},{"doc":"Creates an alias for a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to create the alias or for access errors. NOT_FOUND if the course does not exist. ALREADY_EXISTS if the alias already exists. FAILED_PRECONDITION if the alias requested does not make sense for the requesting user or course (for example, if a user not in a domain attempts to access a domain-scoped alias). Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course to alias. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.CourseAlias.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.CourseAlias{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_aliases_create/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_aliases_create/4","type":"function"},{"doc":"Deletes an alias of a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to remove the alias or for access errors. NOT_FOUND if the alias does not exist. FAILED_PRECONDITION if the alias requested does not make sense for the requesting user or course (for example, if a user not in a domain attempts to delete a domain-scoped alias). Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course whose alias should be deleted. This identifier can be either the Classroom-assigned identifier or an alias. alias (type: String.t) - Alias to delete. This may not be the Classroom-assigned identifier. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_aliases_delete/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_aliases_delete/5","type":"function"},{"doc":"Returns a list of aliases for a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the course or for access errors. NOT_FOUND if the course does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - The identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListCourseAliasesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_aliases_list/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_aliases_list/4","type":"function"},{"doc":"Creates an announcement. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course, create announcements in the requested course, share a Drive attachment, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course does not exist. FAILED_PRECONDITION for the following request error: AttachmentNotVisible Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.Announcement.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Announcement{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_announcements_create/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_announcements_create/4","type":"function"},{"doc":"Deletes an announcement. This request must be made by the Developer Console project of the OAuth client ID used to create the corresponding announcement item. This method returns the following error codes: PERMISSION_DENIED if the requesting developer project did not create the corresponding announcement, if the requesting user is not permitted to delete the requested course or for access errors. FAILED_PRECONDITION if the requested announcement has already been deleted. NOT_FOUND if no course exists with the requested ID. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the announcement to delete. This identifier is a Classroom-assigned identifier. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_announcements_delete/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_announcements_delete/5","type":"function"},{"doc":"Returns an announcement. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or announcement, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course or announcement does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the announcement. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Announcement{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_announcements_get/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_announcements_get/5","type":"function"},{"doc":"Returns a list of announcements that the requester is permitted to view. Course students may only view PUBLISHED announcements. Course teachers and domain administrators may view all announcements. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :announcementStates (type: list(String.t)) - Restriction on the state of announcements returned. If this argument is left unspecified, the default value is PUBLISHED. :orderBy (type: String.t) - Optional sort ordering for results. A comma-separated list of fields with an optional sort direction keyword. Supported field is updateTime. Supported direction keywords are asc and desc. If not specified, updateTime desc is the default behavior. Examples: updateTime asc, updateTime :pageSize (type: integer()) - Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListAnnouncementsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_announcements_list/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_announcements_list/4","type":"function"},{"doc":"Modifies assignee mode and options of an announcement. Only a teacher of the course that contains the announcement may call this method. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or course work or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course or course work does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the announcement. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.ModifyAnnouncementAssigneesRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Announcement{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_announcements_modify_assignees/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_announcements_modify_assignees/5","type":"function"},{"doc":"Updates one or more fields of an announcement. This method returns the following error codes: PERMISSION_DENIED if the requesting developer project did not create the corresponding announcement or for access errors. INVALID_ARGUMENT if the request is malformed. FAILED_PRECONDITION if the requested announcement has already been deleted. NOT_FOUND if the requested course or announcement does not exist Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the announcement. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Mask that identifies which fields on the announcement to update. This field is required to do an update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the Announcement object. If a field that does not support empty values is included in the update mask and not set in the Announcement object, an INVALID_ARGUMENT error will be returned. The following fields may be specified by teachers: text state scheduled_time :body (type: GoogleApi.Classroom.V1.Model.Announcement.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Announcement{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_announcements_patch/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_announcements_patch/5","type":"function"},{"doc":"Creates course work. The resulting course work (and corresponding student submissions) are associated with the Developer Console project of the OAuth client ID used to make the request. Classroom API requests to modify course work and student submissions must be made with an OAuth client ID from the associated Developer Console project. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course, create course work in the requested course, share a Drive attachment, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course does not exist. FAILED_PRECONDITION for the following request error: AttachmentNotVisible Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.CourseWork.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.CourseWork{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_create/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_create/4","type":"function"},{"doc":"Deletes a course work. This request must be made by the Developer Console project of the OAuth client ID used to create the corresponding course work item. This method returns the following error codes: PERMISSION_DENIED if the requesting developer project did not create the corresponding course work, if the requesting user is not permitted to delete the requested course or for access errors. FAILED_PRECONDITION if the requested course work has already been deleted. NOT_FOUND if no course exists with the requested ID. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the course work to delete. This identifier is a Classroom-assigned identifier. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_delete/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_delete/5","type":"function"},{"doc":"Returns course work. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or course work, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course or course work does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the course work. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.CourseWork{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_get/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_get/5","type":"function"},{"doc":"Returns a list of course work that the requester is permitted to view. Course students may only view PUBLISHED course work. Course teachers and domain administrators may view all course work. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :courseWorkStates (type: list(String.t)) - Restriction on the work status to return. Only courseWork that matches is returned. If unspecified, items with a work status of PUBLISHED is returned. :orderBy (type: String.t) - Optional sort ordering for results. A comma-separated list of fields with an optional sort direction keyword. Supported fields are updateTime and dueDate. Supported direction keywords are asc and desc. If not specified, updateTime desc is the default behavior. Examples: dueDate asc,updateTime desc, updateTime,dueDate desc :pageSize (type: integer()) - Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListCourseWorkResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_list/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_list/4","type":"function"},{"doc":"Modifies assignee mode and options of a coursework. Only a teacher of the course that contains the coursework may call this method. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or course work or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course or course work does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the coursework. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.ModifyCourseWorkAssigneesRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.CourseWork{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_modify_assignees/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_modify_assignees/5","type":"function"},{"doc":"Updates one or more fields of a course work. See google.classroom.v1.CourseWork for details of which fields may be updated and who may change them. This request must be made by the Developer Console project of the OAuth client ID used to create the corresponding course work item. This method returns the following error codes: PERMISSION_DENIED if the requesting developer project did not create the corresponding course work, if the user is not permitted to make the requested modification to the student submission, or for access errors. INVALID_ARGUMENT if the request is malformed. FAILED_PRECONDITION if the requested course work has already been deleted. NOT_FOUND if the requested course, course work, or student submission does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the course work. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Mask that identifies which fields on the course work to update. This field is required to do an update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the CourseWork object. If a field that does not support empty values is included in the update mask and not set in the CourseWork object, an INVALID_ARGUMENT error will be returned. The following fields may be specified by teachers: title description state due_date due_time max_points scheduled_time submission_modification_mode topic_id :body (type: GoogleApi.Classroom.V1.Model.CourseWork.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.CourseWork{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_patch/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_patch/5","type":"function"},{"doc":"Returns a student submission. PERMISSION_DENIED if the requesting user is not permitted to access the requested course, course work, or student submission or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course, course work, or student submission does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. course_work_id (type: String.t) - Identifier of the course work. id (type: String.t) - Identifier of the student submission. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.StudentSubmission{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_student_submissions_get/6","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_student_submissions_get/6","type":"function"},{"doc":"Returns a list of student submissions that the requester is permitted to view, factoring in the OAuth scopes of the request. - may be specified as the course_work_id to include student submissions for multiple course work items. Course students may only view their own work. Course teachers and domain administrators may view all student submissions. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or course work, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. course_work_id (type: String.t) - Identifier of the student work to request. This may be set to the string literal &quot;-&quot; to request student work for all course work in the specified course. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :late (type: String.t) - Requested lateness value. If specified, returned student submissions are restricted by the requested value. If unspecified, submissions are returned regardless of late value. :pageSize (type: integer()) - Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. :states (type: list(String.t)) - Requested submission states. If specified, returned student submissions match one of the specified submission states. :userId (type: String.t) - Optional argument to restrict returned student work to those owned by the student with the specified identifier. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListStudentSubmissionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_student_submissions_list/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_student_submissions_list/5","type":"function"},{"doc":"Modifies attachments of student submission. Attachments may only be added to student submissions belonging to course work objects with a workType of ASSIGNMENT. This request must be made by the Developer Console project of the OAuth client ID used to create the corresponding course work item. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or course work, if the user is not permitted to modify attachments on the requested student submission, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course, course work, or student submission does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. course_work_id (type: String.t) - Identifier of the course work. id (type: String.t) - Identifier of the student submission. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.ModifyAttachmentsRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.StudentSubmission{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_student_submissions_modify_attachments/6","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_student_submissions_modify_attachments/6","type":"function"},{"doc":"Updates one or more fields of a student submission. See google.classroom.v1.StudentSubmission for details of which fields may be updated and who may change them. This request must be made by the Developer Console project of the OAuth client ID used to create the corresponding course work item. This method returns the following error codes: PERMISSION_DENIED if the requesting developer project did not create the corresponding course work, if the user is not permitted to make the requested modification to the student submission, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course, course work, or student submission does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. course_work_id (type: String.t) - Identifier of the course work. id (type: String.t) - Identifier of the student submission. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Mask that identifies which fields on the student submission to update. This field is required to do an update. The update fails if invalid fields are specified. The following fields may be specified by teachers: draft_grade assigned_grade :body (type: GoogleApi.Classroom.V1.Model.StudentSubmission.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.StudentSubmission{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_student_submissions_patch/6","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_student_submissions_patch/6","type":"function"},{"doc":"Reclaims a student submission on behalf of the student that owns it. Reclaiming a student submission transfers ownership of attached Drive files to the student and updates the submission state. Only the student that owns the requested student submission may call this method, and only for a student submission that has been turned in. This request must be made by the Developer Console project of the OAuth client ID used to create the corresponding course work item. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or course work, unsubmit the requested student submission, or for access errors. FAILED_PRECONDITION if the student submission has not been turned in. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course, course work, or student submission does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. course_work_id (type: String.t) - Identifier of the course work. id (type: String.t) - Identifier of the student submission. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.ReclaimStudentSubmissionRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_student_submissions_reclaim/6","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_student_submissions_reclaim/6","type":"function"},{"doc":"Returns a student submission. Returning a student submission transfers ownership of attached Drive files to the student and may also update the submission state. Unlike the Classroom application, returning a student submission does not set assignedGrade to the draftGrade value. Only a teacher of the course that contains the requested student submission may call this method. This request must be made by the Developer Console project of the OAuth client ID used to create the corresponding course work item. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or course work, return the requested student submission, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course, course work, or student submission does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. course_work_id (type: String.t) - Identifier of the course work. id (type: String.t) - Identifier of the student submission. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.ReturnStudentSubmissionRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_student_submissions_return/6","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_student_submissions_return/6","type":"function"},{"doc":"Turns in a student submission. Turning in a student submission transfers ownership of attached Drive files to the teacher and may also update the submission state. This may only be called by the student that owns the specified student submission. This request must be made by the Developer Console project of the OAuth client ID used to create the corresponding course work item. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or course work, turn in the requested student submission, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course, course work, or student submission does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. course_work_id (type: String.t) - Identifier of the course work. id (type: String.t) - Identifier of the student submission. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.TurnInStudentSubmissionRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_course_work_student_submissions_turn_in/6","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_course_work_student_submissions_turn_in/6","type":"function"},{"doc":"Creates a course. The user specified in ownerId is the owner of the created course and added as a teacher. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to create courses or for access errors. NOT_FOUND if the primary teacher is not a valid user. FAILED_PRECONDITION if the course owner&#39;s account is disabled or for the following request errors: UserGroupsMembershipLimitReached ALREADY_EXISTS if an alias was specified in the id and already exists. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.Course.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Course{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_create/3","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_create/3","type":"function"},{"doc":"Deletes a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to delete the requested course or for access errors. NOT_FOUND if no course exists with the requested ID. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server id (type: String.t) - Identifier of the course to delete. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_delete/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_delete/4","type":"function"},{"doc":"Returns a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or for access errors. NOT_FOUND if no course exists with the requested ID. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server id (type: String.t) - Identifier of the course to return. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Course{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_get/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_get/4","type":"function"},{"doc":"Returns a list of courses that the requesting user is permitted to view, restricted to those that match the request. Returned courses are ordered by creation time, with the most recently created coming first. This method returns the following error codes: PERMISSION_DENIED for access errors. INVALID_ARGUMENT if the query argument is malformed. NOT_FOUND if any users specified in the query arguments do not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :courseStates (type: list(String.t)) - Restricts returned courses to those in one of the specified states The default value is ACTIVE, ARCHIVED, PROVISIONED, DECLINED. :pageSize (type: integer()) - Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. :studentId (type: String.t) - Restricts returned courses to those having a student with the specified identifier. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user :teacherId (type: String.t) - Restricts returned courses to those having a teacher with the specified identifier. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListCoursesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_list/3","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_list/3","type":"function"},{"doc":"Updates one or more fields in a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to modify the requested course or for access errors. NOT_FOUND if no course exists with the requested ID. INVALID_ARGUMENT if invalid fields are specified in the update mask or if no update mask is supplied. FAILED_PRECONDITION for the following request errors: CourseNotModifiable Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server id (type: String.t) - Identifier of the course to update. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Mask that identifies which fields on the course to update. This field is required to do an update. The update will fail if invalid fields are specified. The following fields are valid: name section descriptionHeading description room courseState ownerId Note: patches to ownerId are treated as being effective immediately, but in practice it may take some time for the ownership transfer of all affected resources to complete. When set in a query parameter, this field should be specified as updateMask=&lt;field1&gt;,&lt;field2&gt;,... :body (type: GoogleApi.Classroom.V1.Model.Course.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Course{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_patch/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_patch/4","type":"function"},{"doc":"Adds a user as a student of a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to create students in this course or for access errors. NOT_FOUND if the requested course ID does not exist. FAILED_PRECONDITION if the requested user&#39;s account is disabled, for the following request errors: CourseMemberLimitReached CourseNotModifiable UserGroupsMembershipLimitReached ALREADY_EXISTS if the user is already a student or teacher in the course. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course to create the student in. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :enrollmentCode (type: String.t) - Enrollment code of the course to create the student in. This code is required if userId corresponds to the requesting user; it may be omitted if the requesting user has administrative permissions to create students for any user. :body (type: GoogleApi.Classroom.V1.Model.Student.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Student{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_students_create/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_students_create/4","type":"function"},{"doc":"Deletes a student of a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to delete students of this course or for access errors. NOT_FOUND if no student of this course has the requested ID or if the course does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. user_id (type: String.t) - Identifier of the student to delete. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_students_delete/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_students_delete/5","type":"function"},{"doc":"Returns a student of a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to view students of this course or for access errors. NOT_FOUND if no student of this course has the requested ID or if the course does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. user_id (type: String.t) - Identifier of the student to return. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Student{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_students_get/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_students_get/5","type":"function"},{"doc":"Returns a list of students of this course that the requester is permitted to view. This method returns the following error codes: NOT_FOUND if the course does not exist. PERMISSION_DENIED for access errors. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Maximum number of items to return. Zero means no maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListStudentsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_students_list/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_students_list/4","type":"function"},{"doc":"Creates a teacher of a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to create teachers in this course or for access errors. NOT_FOUND if the requested course ID does not exist. FAILED_PRECONDITION if the requested user&#39;s account is disabled, for the following request errors: CourseMemberLimitReached CourseNotModifiable CourseTeacherLimitReached UserGroupsMembershipLimitReached ALREADY_EXISTS if the user is already a teacher or student in the course. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.Teacher.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Teacher{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_teachers_create/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_teachers_create/4","type":"function"},{"doc":"Deletes a teacher of a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to delete teachers of this course or for access errors. NOT_FOUND if no teacher of this course has the requested ID or if the course does not exist. FAILED_PRECONDITION if the requested ID belongs to the primary teacher of this course. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. user_id (type: String.t) - Identifier of the teacher to delete. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_teachers_delete/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_teachers_delete/5","type":"function"},{"doc":"Returns a teacher of a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to view teachers of this course or for access errors. NOT_FOUND if no teacher of this course has the requested ID or if the course does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. user_id (type: String.t) - Identifier of the teacher to return. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Teacher{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_teachers_get/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_teachers_get/5","type":"function"},{"doc":"Returns a list of teachers of this course that the requester is permitted to view. This method returns the following error codes: NOT_FOUND if the course does not exist. PERMISSION_DENIED for access errors. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Maximum number of items to return. Zero means no maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListTeachersResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_teachers_list/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_teachers_list/4","type":"function"},{"doc":"Creates a topic. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course, create a topic in the requested course, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.Topic.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Topic{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_topics_create/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_topics_create/4","type":"function"},{"doc":"Deletes a topic. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not allowed to delete the requested topic or for access errors. FAILED_PRECONDITION if the requested topic has already been deleted. NOT_FOUND if no course or topic exists with the requested ID. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the topic to delete. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_topics_delete/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_topics_delete/5","type":"function"},{"doc":"Returns a topic. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or topic, or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course or topic does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. id (type: String.t) - Identifier of the topic. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Topic{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_topics_get/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_topics_get/5","type":"function"},{"doc":"Returns the list of topics that the requester is permitted to view. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access the requested course or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course does not exist. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListTopicResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_topics_list/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_topics_list/4","type":"function"},{"doc":"Updates one or more fields of a topic. This method returns the following error codes: PERMISSION_DENIED if the requesting developer project did not create the corresponding topic or for access errors. INVALID_ARGUMENT if the request is malformed. NOT_FOUND if the requested course or topic does not exist Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server course_id (type: String.t) - Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias. id (type: String.t) - Identifier of the topic. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Mask that identifies which fields on the topic to update. This field is required to do an update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the Topic object. If a field that does not support empty values is included in the update mask and not set in the Topic object, an INVALID_ARGUMENT error will be returned. The following fields may be specified: name :body (type: GoogleApi.Classroom.V1.Model.Topic.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Topic{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_topics_patch/5","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_topics_patch/5","type":"function"},{"doc":"Updates a course. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to modify the requested course or for access errors. NOT_FOUND if no course exists with the requested ID. FAILED_PRECONDITION for the following request errors: CourseNotModifiable Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server id (type: String.t) - Identifier of the course to update. This identifier can be either the Classroom-assigned identifier or an alias. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.Course.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Course{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Courses.html#classroom_courses_update/4","title":"GoogleApi.Classroom.V1.Api.Courses.classroom_courses_update/4","type":"function"},{"doc":"API calls for all endpoints tagged Invitations.","ref":"GoogleApi.Classroom.V1.Api.Invitations.html","title":"GoogleApi.Classroom.V1.Api.Invitations","type":"module"},{"doc":"Accepts an invitation, removing it and adding the invited user to the teachers or students (as appropriate) of the specified course. Only the invited user may accept an invitation. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to accept the requested invitation or for access errors. FAILED_PRECONDITION for the following request errors: CourseMemberLimitReached CourseNotModifiable CourseTeacherLimitReached UserGroupsMembershipLimitReached NOT_FOUND if no invitation exists with the requested ID. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server id (type: String.t) - Identifier of the invitation to accept. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Invitations.html#classroom_invitations_accept/4","title":"GoogleApi.Classroom.V1.Api.Invitations.classroom_invitations_accept/4","type":"function"},{"doc":"Creates an invitation. Only one invitation for a user and course may exist at a time. Delete and re-create an invitation to make changes. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to create invitations for this course or for access errors. NOT_FOUND if the course or the user does not exist. FAILED_PRECONDITION if the requested user&#39;s account is disabled or if the user already has this role or a role with greater permissions. ALREADY_EXISTS if an invitation for the specified user and course already exists. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.Invitation.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Invitation{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Invitations.html#classroom_invitations_create/3","title":"GoogleApi.Classroom.V1.Api.Invitations.classroom_invitations_create/3","type":"function"},{"doc":"Deletes an invitation. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to delete the requested invitation or for access errors. NOT_FOUND if no invitation exists with the requested ID. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server id (type: String.t) - Identifier of the invitation to delete. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Invitations.html#classroom_invitations_delete/4","title":"GoogleApi.Classroom.V1.Api.Invitations.classroom_invitations_delete/4","type":"function"},{"doc":"Returns an invitation. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to view the requested invitation or for access errors. NOT_FOUND if no invitation exists with the requested ID. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server id (type: String.t) - Identifier of the invitation to return. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Invitation{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Invitations.html#classroom_invitations_get/4","title":"GoogleApi.Classroom.V1.Api.Invitations.classroom_invitations_get/4","type":"function"},{"doc":"Returns a list of invitations that the requesting user is permitted to view, restricted to those that match the list request. Note: At least one of user_id or course_id must be supplied. Both fields can be supplied. This method returns the following error codes: PERMISSION_DENIED for access errors. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :courseId (type: String.t) - Restricts returned invitations to those for a course with the specified identifier. :pageSize (type: integer()) - Maximum number of items to return. Zero means no maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. :userId (type: String.t) - Restricts returned invitations to those for a specific user. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListInvitationsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Invitations.html#classroom_invitations_list/3","title":"GoogleApi.Classroom.V1.Api.Invitations.classroom_invitations_list/3","type":"function"},{"doc":"API calls for all endpoints tagged Registrations.","ref":"GoogleApi.Classroom.V1.Api.Registrations.html","title":"GoogleApi.Classroom.V1.Api.Registrations","type":"module"},{"doc":"Creates a Registration, causing Classroom to start sending notifications from the provided feed to the destination provided in cloudPubSubTopic. Returns the created Registration. Currently, this will be the same as the argument, but with server-assigned fields such as expiry_time and id filled in. Note that any value specified for the expiry_time or id fields will be ignored. While Classroom may validate the cloudPubSubTopic and return errors on a best effort basis, it is the caller&#39;s responsibility to ensure that it exists and that Classroom has permission to publish to it. This method may return the following error codes: PERMISSION_DENIED if: the authenticated user does not have permission to receive notifications from the requested field; or the credential provided does not include the appropriate scope for the requested feed. another access error is encountered. INVALID_ARGUMENT if: no cloudPubsubTopic is specified, or the specified cloudPubsubTopic is not valid; or no feed is specified, or the specified feed is not valid. NOT_FOUND if: the specified feed cannot be located, or the requesting user does not have permission to determine whether or not it exists; or the specified cloudPubsubTopic cannot be located, or Classroom has not been granted permission to publish to it. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.Registration.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Registration{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Registrations.html#classroom_registrations_create/3","title":"GoogleApi.Classroom.V1.Api.Registrations.classroom_registrations_create/3","type":"function"},{"doc":"Deletes a Registration, causing Classroom to stop sending notifications for that Registration. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server registration_id (type: String.t) - The registration_id of the Registration to be deleted. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.Registrations.html#classroom_registrations_delete/4","title":"GoogleApi.Classroom.V1.Api.Registrations.classroom_registrations_delete/4","type":"function"},{"doc":"API calls for all endpoints tagged UserProfiles.","ref":"GoogleApi.Classroom.V1.Api.UserProfiles.html","title":"GoogleApi.Classroom.V1.Api.UserProfiles","type":"module"},{"doc":"Returns a user profile. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to access this user profile, if no profile exists with the requested ID, or for access errors. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server user_id (type: String.t) - Identifier of the profile to return. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.UserProfile{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.UserProfiles.html#classroom_user_profiles_get/4","title":"GoogleApi.Classroom.V1.Api.UserProfiles.classroom_user_profiles_get/4","type":"function"},{"doc":"Creates a guardian invitation, and sends an email to the guardian asking them to confirm that they are the student&#39;s guardian. Once the guardian accepts the invitation, their state will change to COMPLETED and they will start receiving guardian notifications. A Guardian resource will also be created to represent the active guardian. The request object must have the student_id and invited_email_address fields set. Failing to set these fields, or setting any other fields in the request, will result in an error. This method returns the following error codes: PERMISSION_DENIED if the current user does not have permission to manage guardians, if the guardian in question has already rejected too many requests for that student, if guardians are not enabled for the domain in question, or for other access errors. RESOURCE_EXHAUSTED if the student or guardian has exceeded the guardian link limit. INVALID_ARGUMENT if the guardian email address is not valid (for example, if it is too long), or if the format of the student ID provided cannot be recognized (it is not an email address, nor a user_id from this API). This error will also be returned if read-only fields are set, or if the state field is set to to a value other than PENDING. NOT_FOUND if the student ID provided is a valid student ID, but Classroom has no record of that student. ALREADY_EXISTS if there is already a pending guardian invitation for the student and invited_email_address provided, or if the provided invited_email_address matches the Google account of an existing Guardian for this user. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server student_id (type: String.t) - ID of the student (in standard format) optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Classroom.V1.Model.GuardianInvitation.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.GuardianInvitation{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.UserProfiles.html#classroom_user_profiles_guardian_invitations_create/4","title":"GoogleApi.Classroom.V1.Api.UserProfiles.classroom_user_profiles_guardian_invitations_create/4","type":"function"},{"doc":"Returns a specific guardian invitation. This method returns the following error codes: PERMISSION_DENIED if the requesting user is not permitted to view guardian invitations for the student identified by the student_id, if guardians are not enabled for the domain in question, or for other access errors. INVALID_ARGUMENT if a student_id is specified, but its format cannot be recognized (it is not an email address, nor a student_id from the API, nor the literal string me). NOT_FOUND if Classroom cannot find any record of the given student or invitation_id. May also be returned if the student exists, but the requesting user does not have access to see that student. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server student_id (type: String.t) - The ID of the student whose guardian invitation is being requested. invitation_id (type: String.t) - The id field of the GuardianInvitation being requested. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.GuardianInvitation{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.UserProfiles.html#classroom_user_profiles_guardian_invitations_get/5","title":"GoogleApi.Classroom.V1.Api.UserProfiles.classroom_user_profiles_guardian_invitations_get/5","type":"function"},{"doc":"Returns a list of guardian invitations that the requesting user is permitted to view, filtered by the parameters provided. This method returns the following error codes: PERMISSION_DENIED if a student_id is specified, and the requesting user is not permitted to view guardian invitations for that student, if &quot;-&quot; is specified as the student_id and the user is not a domain administrator, if guardians are not enabled for the domain in question, or for other access errors. INVALID_ARGUMENT if a student_id is specified, but its format cannot be recognized (it is not an email address, nor a student_id from the API, nor the literal string me). May also be returned if an invalid page_token or state is provided. NOT_FOUND if a student_id is specified, and its format can be recognized, but Classroom has no record of that student. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server student_id (type: String.t) - The ID of the student whose guardian invitations are to be returned. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user the string literal &quot;-&quot;, indicating that results should be returned for all students that the requesting user is permitted to view guardian invitations. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :invitedEmailAddress (type: String.t) - If specified, only results with the specified invited_email_address will be returned. :pageSize (type: integer()) - Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. :states (type: list(String.t)) - If specified, only results with the specified state values will be returned. Otherwise, results with a state of PENDING will be returned. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListGuardianInvitationsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.UserProfiles.html#classroom_user_profiles_guardian_invitations_list/4","title":"GoogleApi.Classroom.V1.Api.UserProfiles.classroom_user_profiles_guardian_invitations_list/4","type":"function"},{"doc":"Modifies a guardian invitation. Currently, the only valid modification is to change the state from PENDING to COMPLETE. This has the effect of withdrawing the invitation. This method returns the following error codes: PERMISSION_DENIED if the current user does not have permission to manage guardians, if guardians are not enabled for the domain in question or for other access errors. FAILED_PRECONDITION if the guardian link is not in the PENDING state. INVALID_ARGUMENT if the format of the student ID provided cannot be recognized (it is not an email address, nor a user_id from this API), or if the passed GuardianInvitation has a state other than COMPLETE, or if it modifies fields other than state. NOT_FOUND if the student ID provided is a valid student ID, but Classroom has no record of that student, or if the id field does not refer to a guardian invitation known to Classroom. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server student_id (type: String.t) - The ID of the student whose guardian invitation is to be modified. invitation_id (type: String.t) - The id field of the GuardianInvitation to be modified. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Mask that identifies which fields on the course to update. This field is required to do an update. The update will fail if invalid fields are specified. The following fields are valid: state When set in a query parameter, this field should be specified as updateMask=&lt;field1&gt;,&lt;field2&gt;,... :body (type: GoogleApi.Classroom.V1.Model.GuardianInvitation.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.GuardianInvitation{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.UserProfiles.html#classroom_user_profiles_guardian_invitations_patch/5","title":"GoogleApi.Classroom.V1.Api.UserProfiles.classroom_user_profiles_guardian_invitations_patch/5","type":"function"},{"doc":"Deletes a guardian. The guardian will no longer receive guardian notifications and the guardian will no longer be accessible via the API. This method returns the following error codes: PERMISSION_DENIED if no user that matches the provided student_id is visible to the requesting user, if the requesting user is not permitted to manage guardians for the student identified by the student_id, if guardians are not enabled for the domain in question, or for other access errors. INVALID_ARGUMENT if a student_id is specified, but its format cannot be recognized (it is not an email address, nor a student_id from the API). NOT_FOUND if the requesting user is permitted to modify guardians for the requested student_id, but no Guardian record exists for that student with the provided guardian_id. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server student_id (type: String.t) - The student whose guardian is to be deleted. One of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user guardian_id (type: String.t) - The id field from a Guardian. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.UserProfiles.html#classroom_user_profiles_guardians_delete/5","title":"GoogleApi.Classroom.V1.Api.UserProfiles.classroom_user_profiles_guardians_delete/5","type":"function"},{"doc":"Returns a specific guardian. This method returns the following error codes: PERMISSION_DENIED if no user that matches the provided student_id is visible to the requesting user, if the requesting user is not permitted to view guardian information for the student identified by the student_id, if guardians are not enabled for the domain in question, or for other access errors. INVALID_ARGUMENT if a student_id is specified, but its format cannot be recognized (it is not an email address, nor a student_id from the API, nor the literal string me). NOT_FOUND if the requesting user is permitted to view guardians for the requested student_id, but no Guardian record exists for that student that matches the provided guardian_id. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server student_id (type: String.t) - The student whose guardian is being requested. One of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user guardian_id (type: String.t) - The id field from a Guardian. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.Guardian{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.UserProfiles.html#classroom_user_profiles_guardians_get/5","title":"GoogleApi.Classroom.V1.Api.UserProfiles.classroom_user_profiles_guardians_get/5","type":"function"},{"doc":"Returns a list of guardians that the requesting user is permitted to view, restricted to those that match the request. To list guardians for any student that the requesting user may view guardians for, use the literal character - for the student ID. This method returns the following error codes: PERMISSION_DENIED if a student_id is specified, and the requesting user is not permitted to view guardian information for that student, if &quot;-&quot; is specified as the student_id and the user is not a domain administrator, if guardians are not enabled for the domain in question, if the invited_email_address filter is set by a user who is not a domain administrator, or for other access errors. INVALID_ARGUMENT if a student_id is specified, but its format cannot be recognized (it is not an email address, nor a student_id from the API, nor the literal string me). May also be returned if an invalid page_token is provided. NOT_FOUND if a student_id is specified, and its format can be recognized, but Classroom has no record of that student. Parameters connection (type: GoogleApi.Classroom.V1.Connection.t) - Connection to server student_id (type: String.t) - Filter results by the student who the guardian is linked to. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user the string literal &quot;-&quot;, indicating that results should be returned for all students that the requesting user has access to view. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :invitedEmailAddress (type: String.t) - Filter results by the email address that the original invitation was sent to, resulting in this guardian link. This filter can only be used by domain administrators. :pageSize (type: integer()) - Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. :pageToken (type: String.t) - nextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Classroom.V1.Model.ListGuardiansResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Classroom.V1.Api.UserProfiles.html#classroom_user_profiles_guardians_list/4","title":"GoogleApi.Classroom.V1.Api.UserProfiles.classroom_user_profiles_guardians_list/4","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.Classroom.V1.","ref":"GoogleApi.Classroom.V1.Connection.html","title":"GoogleApi.Classroom.V1.Connection","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#delete/3","title":"GoogleApi.Classroom.V1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#delete!/3","title":"GoogleApi.Classroom.V1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.Classroom.V1.Connection.html#execute/2","title":"GoogleApi.Classroom.V1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#get/3","title":"GoogleApi.Classroom.V1.Connection.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#get!/3","title":"GoogleApi.Classroom.V1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#head/3","title":"GoogleApi.Classroom.V1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#head!/3","title":"GoogleApi.Classroom.V1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"GoogleApi.Classroom.V1.Connection.html#new/0","title":"GoogleApi.Classroom.V1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client","ref":"GoogleApi.Classroom.V1.Connection.html#new/1","title":"GoogleApi.Classroom.V1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#options/3","title":"GoogleApi.Classroom.V1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#options!/3","title":"GoogleApi.Classroom.V1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#patch/4","title":"GoogleApi.Classroom.V1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#patch!/4","title":"GoogleApi.Classroom.V1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#post/4","title":"GoogleApi.Classroom.V1.Connection.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#post!/4","title":"GoogleApi.Classroom.V1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#put/4","title":"GoogleApi.Classroom.V1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#put!/4","title":"GoogleApi.Classroom.V1.Connection.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.Classroom.V1.Connection.html#request/2","title":"GoogleApi.Classroom.V1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"GoogleApi.Classroom.V1.Connection.html#request!/2","title":"GoogleApi.Classroom.V1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#trace/3","title":"GoogleApi.Classroom.V1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Classroom.V1.Connection.html#trace!/3","title":"GoogleApi.Classroom.V1.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Connection.html#t:option/0","title":"GoogleApi.Classroom.V1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.Classroom.V1.Connection.html#t:t/0","title":"GoogleApi.Classroom.V1.Connection.t/0","type":"type"},{"doc":"Announcement created by a teacher for students of the course Attributes alternateLink (type: String.t, default: nil) - Absolute link to this announcement in the Classroom web UI. This is only populated if state is PUBLISHED. Read-only. assigneeMode (type: String.t, default: nil) - Assignee mode of the announcement. If unspecified, the default value is ALL_STUDENTS. courseId (type: String.t, default: nil) - Identifier of the course. Read-only. creationTime (type: DateTime.t, default: nil) - Timestamp when this announcement was created. Read-only. creatorUserId (type: String.t, default: nil) - Identifier for the user that created the announcement. Read-only. id (type: String.t, default: nil) - Classroom-assigned identifier of this announcement, unique per course. Read-only. individualStudentsOptions (type: GoogleApi.Classroom.V1.Model.IndividualStudentsOptions.t, default: nil) - Identifiers of students with access to the announcement. This field is set only if assigneeMode is INDIVIDUAL_STUDENTS. If the assigneeMode is INDIVIDUAL_STUDENTS, then only students specified in this field will be able to see the announcement. materials (type: list(GoogleApi.Classroom.V1.Model.Material.t), default: nil) - Additional materials. Announcements must have no more than 20 material items. scheduledTime (type: DateTime.t, default: nil) - Optional timestamp when this announcement is scheduled to be published. state (type: String.t, default: nil) - Status of this announcement. If unspecified, the default state is DRAFT. text (type: String.t, default: nil) - Description of this announcement. The text must be a valid UTF-8 string containing no more than 30,000 characters. updateTime (type: DateTime.t, default: nil) - Timestamp of the most recent change to this announcement. Read-only.","ref":"GoogleApi.Classroom.V1.Model.Announcement.html","title":"GoogleApi.Classroom.V1.Model.Announcement","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Announcement.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Announcement.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Announcement.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Announcement.t/0","type":"type"},{"doc":"Additional details for assignments. Attributes studentWorkFolder (type: GoogleApi.Classroom.V1.Model.DriveFolder.t, default: nil) - Drive folder where attachments from student submissions are placed. This is only populated for course teachers and administrators.","ref":"GoogleApi.Classroom.V1.Model.Assignment.html","title":"GoogleApi.Classroom.V1.Model.Assignment","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Assignment.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Assignment.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Assignment.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Assignment.t/0","type":"type"},{"doc":"Student work for an assignment. Attributes attachments (type: list(GoogleApi.Classroom.V1.Model.Attachment.t), default: nil) - Attachments added by the student. Drive files that correspond to materials with a share mode of STUDENT_COPY may not exist yet if the student has not accessed the assignment in Classroom. Some attachment metadata is only populated if the requesting user has permission to access it. Identifier and alternate_link fields are always available, but others (e.g. title) may not be.","ref":"GoogleApi.Classroom.V1.Model.AssignmentSubmission.html","title":"GoogleApi.Classroom.V1.Model.AssignmentSubmission","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.AssignmentSubmission.html#decode/2","title":"GoogleApi.Classroom.V1.Model.AssignmentSubmission.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.AssignmentSubmission.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.AssignmentSubmission.t/0","type":"type"},{"doc":"Attachment added to student assignment work. When creating attachments, setting the form field is not supported. Attributes driveFile (type: GoogleApi.Classroom.V1.Model.DriveFile.t, default: nil) - Google Drive file attachment. form (type: GoogleApi.Classroom.V1.Model.Form.t, default: nil) - Google Forms attachment. link (type: GoogleApi.Classroom.V1.Model.Link.t, default: nil) - Link attachment. youTubeVideo (type: GoogleApi.Classroom.V1.Model.YouTubeVideo.t, default: nil) - Youtube video attachment.","ref":"GoogleApi.Classroom.V1.Model.Attachment.html","title":"GoogleApi.Classroom.V1.Model.Attachment","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Attachment.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Attachment.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Attachment.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Attachment.t/0","type":"type"},{"doc":"A reference to a Cloud Pub/Sub topic. To register for notifications, the owner of the topic must grant classroom-notifications@system.gserviceaccount.com the projects.topics.publish permission. Attributes topicName (type: String.t, default: nil) - The name field of a Cloud Pub/Sub Topic.","ref":"GoogleApi.Classroom.V1.Model.CloudPubsubTopic.html","title":"GoogleApi.Classroom.V1.Model.CloudPubsubTopic","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.CloudPubsubTopic.html#decode/2","title":"GoogleApi.Classroom.V1.Model.CloudPubsubTopic.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.CloudPubsubTopic.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.CloudPubsubTopic.t/0","type":"type"},{"doc":"A Course in Classroom. Attributes alternateLink (type: String.t, default: nil) - Absolute link to this course in the Classroom web UI. Read-only. calendarId (type: String.t, default: nil) - The Calendar ID for a calendar that all course members can see, to which Classroom adds events for course work and announcements in the course. Read-only. courseGroupEmail (type: String.t, default: nil) - The email address of a Google group containing all members of the course. This group does not accept email and can only be used for permissions. Read-only. courseMaterialSets (type: list(GoogleApi.Classroom.V1.Model.CourseMaterialSet.t), default: nil) - Sets of materials that appear on the &quot;about&quot; page of this course. Read-only. courseState (type: String.t, default: nil) - State of the course. If unspecified, the default state is PROVISIONED. creationTime (type: DateTime.t, default: nil) - Creation time of the course. Specifying this field in a course update mask results in an error. Read-only. description (type: String.t, default: nil) - Optional description. For example, &quot;We&#39;ll be learning about the structure of living creatures from a combination of textbooks, guest lectures, and lab work. Expect to be excited!&quot; If set, this field must be a valid UTF-8 string and no longer than 30,000 characters. descriptionHeading (type: String.t, default: nil) - Optional heading for the description. For example, &quot;Welcome to 10th Grade Biology.&quot; If set, this field must be a valid UTF-8 string and no longer than 3600 characters. enrollmentCode (type: String.t, default: nil) - Enrollment code to use when joining this course. Specifying this field in a course update mask results in an error. Read-only. guardiansEnabled (type: boolean(), default: nil) - Whether or not guardian notifications are enabled for this course. Read-only. id (type: String.t, default: nil) - Identifier for this course assigned by Classroom. When creating a course, you may optionally set this identifier to an alias string in the request to create a corresponding alias. The id is still assigned by Classroom and cannot be updated after the course is created. Specifying this field in a course update mask results in an error. name (type: String.t, default: nil) - Name of the course. For example, &quot;10th Grade Biology&quot;. The name is required. It must be between 1 and 750 characters and a valid UTF-8 string. ownerId (type: String.t, default: nil) - The identifier of the owner of a course. When specified as a parameter of a create course request, this field is required. The identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user This must be set in a create request. Admins can also specify this field in a patch course request to transfer ownership. In other contexts, it is read-only. room (type: String.t, default: nil) - Optional room location. For example, &quot;301&quot;. If set, this field must be a valid UTF-8 string and no longer than 650 characters. section (type: String.t, default: nil) - Section of the course. For example, &quot;Period 2&quot;. If set, this field must be a valid UTF-8 string and no longer than 2800 characters. teacherFolder (type: GoogleApi.Classroom.V1.Model.DriveFolder.t, default: nil) - Information about a Drive Folder that is shared with all teachers of the course. This field will only be set for teachers of the course and domain administrators. Read-only. teacherGroupEmail (type: String.t, default: nil) - The email address of a Google group containing all teachers of the course. This group does not accept email and can only be used for permissions. Read-only. updateTime (type: DateTime.t, default: nil) - Time of the most recent update to this course. Specifying this field in a course update mask results in an error. Read-only.","ref":"GoogleApi.Classroom.V1.Model.Course.html","title":"GoogleApi.Classroom.V1.Model.Course","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Course.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Course.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Course.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Course.t/0","type":"type"},{"doc":"Alternative identifier for a course. An alias uniquely identifies a course. It must be unique within one of the following scopes: domain: A domain-scoped alias is visible to all users within the alias creator&#39;s domain and can be created only by a domain admin. A domain-scoped alias is often used when a course has an identifier external to Classroom. project: A project-scoped alias is visible to any request from an application using the Developer Console project ID that created the alias and can be created by any project. A project-scoped alias is often used when an application has alternative identifiers. A random value can also be used to avoid duplicate courses in the event of transmission failures, as retrying a request will return ALREADY_EXISTS if a previous one has succeeded. Attributes alias (type: String.t, default: nil) - Alias string. The format of the string indicates the desired alias scoping. d:&lt;name&gt; indicates a domain-scoped alias. Example: d:math_101 p:&lt;name&gt; indicates a project-scoped alias. Example: p:abc123 This field has a maximum length of 256 characters.","ref":"GoogleApi.Classroom.V1.Model.CourseAlias.html","title":"GoogleApi.Classroom.V1.Model.CourseAlias","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.CourseAlias.html#decode/2","title":"GoogleApi.Classroom.V1.Model.CourseAlias.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.CourseAlias.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.CourseAlias.t/0","type":"type"},{"doc":"A material attached to a course as part of a material set. Attributes driveFile (type: GoogleApi.Classroom.V1.Model.DriveFile.t, default: nil) - Google Drive file attachment. form (type: GoogleApi.Classroom.V1.Model.Form.t, default: nil) - Google Forms attachment. link (type: GoogleApi.Classroom.V1.Model.Link.t, default: nil) - Link atatchment. youTubeVideo (type: GoogleApi.Classroom.V1.Model.YouTubeVideo.t, default: nil) - Youtube video attachment.","ref":"GoogleApi.Classroom.V1.Model.CourseMaterial.html","title":"GoogleApi.Classroom.V1.Model.CourseMaterial","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.CourseMaterial.html#decode/2","title":"GoogleApi.Classroom.V1.Model.CourseMaterial.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.CourseMaterial.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.CourseMaterial.t/0","type":"type"},{"doc":"A set of materials that appears on the &quot;About&quot; page of the course. These materials might include a syllabus, schedule, or other background information relating to the course as a whole. Attributes materials (type: list(GoogleApi.Classroom.V1.Model.CourseMaterial.t), default: nil) - Materials attached to this set. title (type: String.t, default: nil) - Title for this set.","ref":"GoogleApi.Classroom.V1.Model.CourseMaterialSet.html","title":"GoogleApi.Classroom.V1.Model.CourseMaterialSet","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.CourseMaterialSet.html#decode/2","title":"GoogleApi.Classroom.V1.Model.CourseMaterialSet.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.CourseMaterialSet.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.CourseMaterialSet.t/0","type":"type"},{"doc":"Information about a Feed with a feed_type of COURSE_ROSTER_CHANGES. Attributes courseId (type: String.t, default: nil) - The course_id of the course to subscribe to roster changes for.","ref":"GoogleApi.Classroom.V1.Model.CourseRosterChangesInfo.html","title":"GoogleApi.Classroom.V1.Model.CourseRosterChangesInfo","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.CourseRosterChangesInfo.html#decode/2","title":"GoogleApi.Classroom.V1.Model.CourseRosterChangesInfo.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.CourseRosterChangesInfo.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.CourseRosterChangesInfo.t/0","type":"type"},{"doc":"Course work created by a teacher for students of the course. Attributes alternateLink (type: String.t, default: nil) - Absolute link to this course work in the Classroom web UI. This is only populated if state is PUBLISHED. Read-only. assigneeMode (type: String.t, default: nil) - Assignee mode of the coursework. If unspecified, the default value is ALL_STUDENTS. assignment (type: GoogleApi.Classroom.V1.Model.Assignment.t, default: nil) - Assignment details. This is populated only when work_type is ASSIGNMENT. Read-only. associatedWithDeveloper (type: boolean(), default: nil) - Whether this course work item is associated with the Developer Console project making the request. See google.classroom.Work.CreateCourseWork for more details. Read-only. courseId (type: String.t, default: nil) - Identifier of the course. Read-only. creationTime (type: DateTime.t, default: nil) - Timestamp when this course work was created. Read-only. creatorUserId (type: String.t, default: nil) - Identifier for the user that created the coursework. Read-only. description (type: String.t, default: nil) - Optional description of this course work. If set, the description must be a valid UTF-8 string containing no more than 30,000 characters. dueDate (type: GoogleApi.Classroom.V1.Model.Date.t, default: nil) - Optional date, in UTC, that submissions for this course work are due. This must be specified if due_time is specified. dueTime (type: GoogleApi.Classroom.V1.Model.TimeOfDay.t, default: nil) - Optional time of day, in UTC, that submissions for this course work are due. This must be specified if due_date is specified. id (type: String.t, default: nil) - Classroom-assigned identifier of this course work, unique per course. Read-only. individualStudentsOptions (type: GoogleApi.Classroom.V1.Model.IndividualStudentsOptions.t, default: nil) - Identifiers of students with access to the coursework. This field is set only if assigneeMode is INDIVIDUAL_STUDENTS. If the assigneeMode is INDIVIDUAL_STUDENTS, then only students specified in this field will be assigned the coursework. materials (type: list(GoogleApi.Classroom.V1.Model.Material.t), default: nil) - Additional materials. CourseWork must have no more than 20 material items. maxPoints (type: float(), default: nil) - Maximum grade for this course work. If zero or unspecified, this assignment is considered ungraded. This must be a non-negative integer value. multipleChoiceQuestion (type: GoogleApi.Classroom.V1.Model.MultipleChoiceQuestion.t, default: nil) - Multiple choice question details. For read operations, this field is populated only when work_type is MULTIPLE_CHOICE_QUESTION. For write operations, this field must be specified when creating course work with a work_type of MULTIPLE_CHOICE_QUESTION, and it must not be set otherwise. scheduledTime (type: DateTime.t, default: nil) - Optional timestamp when this course work is scheduled to be published. state (type: String.t, default: nil) - Status of this course work. If unspecified, the default state is DRAFT. submissionModificationMode (type: String.t, default: nil) - Setting to determine when students are allowed to modify submissions. If unspecified, the default value is MODIFIABLE_UNTIL_TURNED_IN. title (type: String.t, default: nil) - Title of this course work. The title must be a valid UTF-8 string containing between 1 and 3000 characters. topicId (type: String.t, default: nil) - Identifier for the topic that this coursework is associated with. Must match an existing topic in the course. updateTime (type: DateTime.t, default: nil) - Timestamp of the most recent change to this course work. Read-only. workType (type: String.t, default: nil) - Type of this course work. The type is set when the course work is created and cannot be changed.","ref":"GoogleApi.Classroom.V1.Model.CourseWork.html","title":"GoogleApi.Classroom.V1.Model.CourseWork","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.CourseWork.html#decode/2","title":"GoogleApi.Classroom.V1.Model.CourseWork.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.CourseWork.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.CourseWork.t/0","type":"type"},{"doc":"Information about a Feed with a feed_type of COURSE_WORK_CHANGES. Attributes courseId (type: String.t, default: nil) - The course_id of the course to subscribe to work changes for.","ref":"GoogleApi.Classroom.V1.Model.CourseWorkChangesInfo.html","title":"GoogleApi.Classroom.V1.Model.CourseWorkChangesInfo","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.CourseWorkChangesInfo.html#decode/2","title":"GoogleApi.Classroom.V1.Model.CourseWorkChangesInfo.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.CourseWorkChangesInfo.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.CourseWorkChangesInfo.t/0","type":"type"},{"doc":"Represents a whole or partial calendar date, e.g. a birthday. The time of day and time zone are either specified elsewhere or are not significant. The date is relative to the Proleptic Gregorian Calendar. This can represent: A full date, with non-zero year, month and day values A month and day value, with a zero year, e.g. an anniversary A year on its own, with zero month and day values A year and month value, with a zero day, e.g. a credit card expiration date Related types are google.type.TimeOfDay and google.protobuf.Timestamp. Attributes day (type: integer(), default: nil) - Day of month. Must be from 1 to 31 and valid for the year and month, or 0 if specifying a year by itself or a year and month where the day is not significant. month (type: integer(), default: nil) - Month of year. Must be from 1 to 12, or 0 if specifying a year without a month and day. year (type: integer(), default: nil) - Year of date. Must be from 1 to 9999, or 0 if specifying a date without a year.","ref":"GoogleApi.Classroom.V1.Model.Date.html","title":"GoogleApi.Classroom.V1.Model.Date","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Date.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Date.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Date.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Date.t/0","type":"type"},{"doc":"Representation of a Google Drive file. Attributes alternateLink (type: String.t, default: nil) - URL that can be used to access the Drive item. Read-only. id (type: String.t, default: nil) - Drive API resource ID. thumbnailUrl (type: String.t, default: nil) - URL of a thumbnail image of the Drive item. Read-only. title (type: String.t, default: nil) - Title of the Drive item. Read-only.","ref":"GoogleApi.Classroom.V1.Model.DriveFile.html","title":"GoogleApi.Classroom.V1.Model.DriveFile","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.DriveFile.html#decode/2","title":"GoogleApi.Classroom.V1.Model.DriveFile.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.DriveFile.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.DriveFile.t/0","type":"type"},{"doc":"Representation of a Google Drive folder. Attributes alternateLink (type: String.t, default: nil) - URL that can be used to access the Drive folder. Read-only. id (type: String.t, default: nil) - Drive API resource ID. title (type: String.t, default: nil) - Title of the Drive folder. Read-only.","ref":"GoogleApi.Classroom.V1.Model.DriveFolder.html","title":"GoogleApi.Classroom.V1.Model.DriveFolder","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.DriveFolder.html#decode/2","title":"GoogleApi.Classroom.V1.Model.DriveFolder.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.DriveFolder.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.DriveFolder.t/0","type":"type"},{"doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for Empty is empty JSON object {}. Attributes","ref":"GoogleApi.Classroom.V1.Model.Empty.html","title":"GoogleApi.Classroom.V1.Model.Empty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Empty.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Empty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Empty.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Empty.t/0","type":"type"},{"doc":"A class of notifications that an application can register to receive. For example: &quot;all roster changes for a domain&quot;. Attributes courseRosterChangesInfo (type: GoogleApi.Classroom.V1.Model.CourseRosterChangesInfo.t, default: nil) - Information about a Feed with a feed_type of COURSE_ROSTER_CHANGES. This field must be specified if feed_type is COURSE_ROSTER_CHANGES. courseWorkChangesInfo (type: GoogleApi.Classroom.V1.Model.CourseWorkChangesInfo.t, default: nil) - Information about a Feed with a feed_type of COURSE_WORK_CHANGES. This field must be specified if feed_type is COURSE_WORK_CHANGES. feedType (type: String.t, default: nil) - The type of feed.","ref":"GoogleApi.Classroom.V1.Model.Feed.html","title":"GoogleApi.Classroom.V1.Model.Feed","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Feed.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Feed.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Feed.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Feed.t/0","type":"type"},{"doc":"Google Forms item. Attributes formUrl (type: String.t, default: nil) - URL of the form. responseUrl (type: String.t, default: nil) - URL of the form responses document. Only set if respsonses have been recorded and only when the requesting user is an editor of the form. Read-only. thumbnailUrl (type: String.t, default: nil) - URL of a thumbnail image of the Form. Read-only. title (type: String.t, default: nil) - Title of the Form. Read-only.","ref":"GoogleApi.Classroom.V1.Model.Form.html","title":"GoogleApi.Classroom.V1.Model.Form","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Form.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Form.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Form.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Form.t/0","type":"type"},{"doc":"Global user permission description. Attributes permission (type: String.t, default: nil) - Permission value.","ref":"GoogleApi.Classroom.V1.Model.GlobalPermission.html","title":"GoogleApi.Classroom.V1.Model.GlobalPermission","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.GlobalPermission.html#decode/2","title":"GoogleApi.Classroom.V1.Model.GlobalPermission.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.GlobalPermission.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.GlobalPermission.t/0","type":"type"},{"doc":"The history of each grade on this submission. Attributes actorUserId (type: String.t, default: nil) - The teacher who made the grade change. gradeChangeType (type: String.t, default: nil) - The type of grade change at this time in the submission grade history. gradeTimestamp (type: DateTime.t, default: nil) - When the grade of the submission was changed. maxPoints (type: float(), default: nil) - The denominator of the grade at this time in the submission grade history. pointsEarned (type: float(), default: nil) - The numerator of the grade at this time in the submission grade history.","ref":"GoogleApi.Classroom.V1.Model.GradeHistory.html","title":"GoogleApi.Classroom.V1.Model.GradeHistory","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.GradeHistory.html#decode/2","title":"GoogleApi.Classroom.V1.Model.GradeHistory.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.GradeHistory.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.GradeHistory.t/0","type":"type"},{"doc":"Association between a student and a guardian of that student. The guardian may receive information about the student&#39;s course work. Attributes guardianId (type: String.t, default: nil) - Identifier for the guardian. guardianProfile (type: GoogleApi.Classroom.V1.Model.UserProfile.t, default: nil) - User profile for the guardian. invitedEmailAddress (type: String.t, default: nil) - The email address to which the initial guardian invitation was sent. This field is only visible to domain administrators. studentId (type: String.t, default: nil) - Identifier for the student to whom the guardian relationship applies.","ref":"GoogleApi.Classroom.V1.Model.Guardian.html","title":"GoogleApi.Classroom.V1.Model.Guardian","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Guardian.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Guardian.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Guardian.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Guardian.t/0","type":"type"},{"doc":"An invitation to become the guardian of a specified user, sent to a specified email address. Attributes creationTime (type: DateTime.t, default: nil) - The time that this invitation was created. Read-only. invitationId (type: String.t, default: nil) - Unique identifier for this invitation. Read-only. invitedEmailAddress (type: String.t, default: nil) - Email address that the invitation was sent to. This field is only visible to domain administrators. state (type: String.t, default: nil) - The state that this invitation is in. studentId (type: String.t, default: nil) - ID of the student (in standard format)","ref":"GoogleApi.Classroom.V1.Model.GuardianInvitation.html","title":"GoogleApi.Classroom.V1.Model.GuardianInvitation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.GuardianInvitation.html#decode/2","title":"GoogleApi.Classroom.V1.Model.GuardianInvitation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.GuardianInvitation.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.GuardianInvitation.t/0","type":"type"},{"doc":"Assignee details about a coursework/announcement. This field is set if and only if assigneeMode is INDIVIDUAL_STUDENTS. Attributes studentIds (type: list(String.t), default: nil) - Identifiers for the students that have access to the coursework/announcement.","ref":"GoogleApi.Classroom.V1.Model.IndividualStudentsOptions.html","title":"GoogleApi.Classroom.V1.Model.IndividualStudentsOptions","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.IndividualStudentsOptions.html#decode/2","title":"GoogleApi.Classroom.V1.Model.IndividualStudentsOptions.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.IndividualStudentsOptions.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.IndividualStudentsOptions.t/0","type":"type"},{"doc":"An invitation to join a course. Attributes courseId (type: String.t, default: nil) - Identifier of the course to invite the user to. id (type: String.t, default: nil) - Identifier assigned by Classroom. Read-only. role (type: String.t, default: nil) - Role to invite the user to have. Must not be COURSE_ROLE_UNSPECIFIED. userId (type: String.t, default: nil) - Identifier of the invited user. When specified as a parameter of a request, this identifier can be set to one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user","ref":"GoogleApi.Classroom.V1.Model.Invitation.html","title":"GoogleApi.Classroom.V1.Model.Invitation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Invitation.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Invitation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Invitation.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Invitation.t/0","type":"type"},{"doc":"URL item. Attributes thumbnailUrl (type: String.t, default: nil) - URL of a thumbnail image of the target URL. Read-only. title (type: String.t, default: nil) - Title of the target of the URL. Read-only. url (type: String.t, default: nil) - URL to link to. This must be a valid UTF-8 string containing between 1 and 2024 characters.","ref":"GoogleApi.Classroom.V1.Model.Link.html","title":"GoogleApi.Classroom.V1.Model.Link","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Link.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Link.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Link.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Link.t/0","type":"type"},{"doc":"Response when listing course work. Attributes announcements (type: list(GoogleApi.Classroom.V1.Model.Announcement.t), default: nil) - Announcement items that match the request. nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available.","ref":"GoogleApi.Classroom.V1.Model.ListAnnouncementsResponse.html","title":"GoogleApi.Classroom.V1.Model.ListAnnouncementsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListAnnouncementsResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListAnnouncementsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListAnnouncementsResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListAnnouncementsResponse.t/0","type":"type"},{"doc":"Response when listing course aliases. Attributes aliases (type: list(GoogleApi.Classroom.V1.Model.CourseAlias.t), default: nil) - The course aliases. nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available.","ref":"GoogleApi.Classroom.V1.Model.ListCourseAliasesResponse.html","title":"GoogleApi.Classroom.V1.Model.ListCourseAliasesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListCourseAliasesResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListCourseAliasesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListCourseAliasesResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListCourseAliasesResponse.t/0","type":"type"},{"doc":"Response when listing course work. Attributes courseWork (type: list(GoogleApi.Classroom.V1.Model.CourseWork.t), default: nil) - Course work items that match the request. nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available.","ref":"GoogleApi.Classroom.V1.Model.ListCourseWorkResponse.html","title":"GoogleApi.Classroom.V1.Model.ListCourseWorkResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListCourseWorkResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListCourseWorkResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListCourseWorkResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListCourseWorkResponse.t/0","type":"type"},{"doc":"Response when listing courses. Attributes courses (type: list(GoogleApi.Classroom.V1.Model.Course.t), default: nil) - Courses that match the list request. nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available.","ref":"GoogleApi.Classroom.V1.Model.ListCoursesResponse.html","title":"GoogleApi.Classroom.V1.Model.ListCoursesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListCoursesResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListCoursesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListCoursesResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListCoursesResponse.t/0","type":"type"},{"doc":"Response when listing guardian invitations. Attributes guardianInvitations (type: list(GoogleApi.Classroom.V1.Model.GuardianInvitation.t), default: nil) - Guardian invitations that matched the list request. nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available.","ref":"GoogleApi.Classroom.V1.Model.ListGuardianInvitationsResponse.html","title":"GoogleApi.Classroom.V1.Model.ListGuardianInvitationsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListGuardianInvitationsResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListGuardianInvitationsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListGuardianInvitationsResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListGuardianInvitationsResponse.t/0","type":"type"},{"doc":"Response when listing guardians. Attributes guardians (type: list(GoogleApi.Classroom.V1.Model.Guardian.t), default: nil) - Guardians on this page of results that met the criteria specified in the request. nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available.","ref":"GoogleApi.Classroom.V1.Model.ListGuardiansResponse.html","title":"GoogleApi.Classroom.V1.Model.ListGuardiansResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListGuardiansResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListGuardiansResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListGuardiansResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListGuardiansResponse.t/0","type":"type"},{"doc":"Response when listing invitations. Attributes invitations (type: list(GoogleApi.Classroom.V1.Model.Invitation.t), default: nil) - Invitations that match the list request. nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available.","ref":"GoogleApi.Classroom.V1.Model.ListInvitationsResponse.html","title":"GoogleApi.Classroom.V1.Model.ListInvitationsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListInvitationsResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListInvitationsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListInvitationsResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListInvitationsResponse.t/0","type":"type"},{"doc":"Response when listing student submissions. Attributes nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available. studentSubmissions (type: list(GoogleApi.Classroom.V1.Model.StudentSubmission.t), default: nil) - Student work that matches the request.","ref":"GoogleApi.Classroom.V1.Model.ListStudentSubmissionsResponse.html","title":"GoogleApi.Classroom.V1.Model.ListStudentSubmissionsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListStudentSubmissionsResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListStudentSubmissionsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListStudentSubmissionsResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListStudentSubmissionsResponse.t/0","type":"type"},{"doc":"Response when listing students. Attributes nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available. students (type: list(GoogleApi.Classroom.V1.Model.Student.t), default: nil) - Students who match the list request.","ref":"GoogleApi.Classroom.V1.Model.ListStudentsResponse.html","title":"GoogleApi.Classroom.V1.Model.ListStudentsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListStudentsResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListStudentsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListStudentsResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListStudentsResponse.t/0","type":"type"},{"doc":"Response when listing teachers. Attributes nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available. teachers (type: list(GoogleApi.Classroom.V1.Model.Teacher.t), default: nil) - Teachers who match the list request.","ref":"GoogleApi.Classroom.V1.Model.ListTeachersResponse.html","title":"GoogleApi.Classroom.V1.Model.ListTeachersResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListTeachersResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListTeachersResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListTeachersResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListTeachersResponse.t/0","type":"type"},{"doc":"Response when listing topics. Attributes nextPageToken (type: String.t, default: nil) - Token identifying the next page of results to return. If empty, no further results are available. topic (type: list(GoogleApi.Classroom.V1.Model.Topic.t), default: nil) - Topic items that match the request.","ref":"GoogleApi.Classroom.V1.Model.ListTopicResponse.html","title":"GoogleApi.Classroom.V1.Model.ListTopicResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ListTopicResponse.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ListTopicResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ListTopicResponse.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ListTopicResponse.t/0","type":"type"},{"doc":"Material attached to course work. When creating attachments, setting the form field is not supported. Attributes driveFile (type: GoogleApi.Classroom.V1.Model.SharedDriveFile.t, default: nil) - Google Drive file material. form (type: GoogleApi.Classroom.V1.Model.Form.t, default: nil) - Google Forms material. link (type: GoogleApi.Classroom.V1.Model.Link.t, default: nil) - Link material. On creation, will be upgraded to a more appropriate type if possible, and this will be reflected in the response. youtubeVideo (type: GoogleApi.Classroom.V1.Model.YouTubeVideo.t, default: nil) - YouTube video material.","ref":"GoogleApi.Classroom.V1.Model.Material.html","title":"GoogleApi.Classroom.V1.Model.Material","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Material.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Material.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Material.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Material.t/0","type":"type"},{"doc":"Request to modify assignee mode and options of an announcement. Attributes assigneeMode (type: String.t, default: nil) - Mode of the announcement describing whether it will be accessible by all students or specified individual students. modifyIndividualStudentsOptions (type: GoogleApi.Classroom.V1.Model.ModifyIndividualStudentsOptions.t, default: nil) - Set which students can view or cannot view the announcement. Must be specified only when assigneeMode is INDIVIDUAL_STUDENTS.","ref":"GoogleApi.Classroom.V1.Model.ModifyAnnouncementAssigneesRequest.html","title":"GoogleApi.Classroom.V1.Model.ModifyAnnouncementAssigneesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ModifyAnnouncementAssigneesRequest.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ModifyAnnouncementAssigneesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ModifyAnnouncementAssigneesRequest.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ModifyAnnouncementAssigneesRequest.t/0","type":"type"},{"doc":"Request to modify the attachments of a student submission. Attributes addAttachments (type: list(GoogleApi.Classroom.V1.Model.Attachment.t), default: nil) - Attachments to add. A student submission may not have more than 20 attachments. Form attachments are not supported.","ref":"GoogleApi.Classroom.V1.Model.ModifyAttachmentsRequest.html","title":"GoogleApi.Classroom.V1.Model.ModifyAttachmentsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ModifyAttachmentsRequest.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ModifyAttachmentsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ModifyAttachmentsRequest.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ModifyAttachmentsRequest.t/0","type":"type"},{"doc":"Request to modify assignee mode and options of a coursework. Attributes assigneeMode (type: String.t, default: nil) - Mode of the coursework describing whether it will be assigned to all students or specified individual students. modifyIndividualStudentsOptions (type: GoogleApi.Classroom.V1.Model.ModifyIndividualStudentsOptions.t, default: nil) - Set which students are assigned or not assigned to the coursework. Must be specified only when assigneeMode is INDIVIDUAL_STUDENTS.","ref":"GoogleApi.Classroom.V1.Model.ModifyCourseWorkAssigneesRequest.html","title":"GoogleApi.Classroom.V1.Model.ModifyCourseWorkAssigneesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ModifyCourseWorkAssigneesRequest.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ModifyCourseWorkAssigneesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ModifyCourseWorkAssigneesRequest.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ModifyCourseWorkAssigneesRequest.t/0","type":"type"},{"doc":"Contains fields to add or remove students from a course work or announcement where the assigneeMode is set to INDIVIDUAL_STUDENTS. Attributes addStudentIds (type: list(String.t), default: nil) - Ids of students to be added as having access to this coursework/announcement. removeStudentIds (type: list(String.t), default: nil) - Ids of students to be removed from having access to this coursework/announcement.","ref":"GoogleApi.Classroom.V1.Model.ModifyIndividualStudentsOptions.html","title":"GoogleApi.Classroom.V1.Model.ModifyIndividualStudentsOptions","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ModifyIndividualStudentsOptions.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ModifyIndividualStudentsOptions.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ModifyIndividualStudentsOptions.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ModifyIndividualStudentsOptions.t/0","type":"type"},{"doc":"Additional details for multiple-choice questions. Attributes choices (type: list(String.t), default: nil) - Possible choices.","ref":"GoogleApi.Classroom.V1.Model.MultipleChoiceQuestion.html","title":"GoogleApi.Classroom.V1.Model.MultipleChoiceQuestion","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.MultipleChoiceQuestion.html#decode/2","title":"GoogleApi.Classroom.V1.Model.MultipleChoiceQuestion.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.MultipleChoiceQuestion.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.MultipleChoiceQuestion.t/0","type":"type"},{"doc":"Student work for a multiple-choice question. Attributes answer (type: String.t, default: nil) - Student&#39;s select choice.","ref":"GoogleApi.Classroom.V1.Model.MultipleChoiceSubmission.html","title":"GoogleApi.Classroom.V1.Model.MultipleChoiceSubmission","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.MultipleChoiceSubmission.html#decode/2","title":"GoogleApi.Classroom.V1.Model.MultipleChoiceSubmission.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.MultipleChoiceSubmission.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.MultipleChoiceSubmission.t/0","type":"type"},{"doc":"Details of the user&#39;s name. Attributes familyName (type: String.t, default: nil) - The user&#39;s last name. Read-only. fullName (type: String.t, default: nil) - The user&#39;s full name formed by concatenating the first and last name values. Read-only. givenName (type: String.t, default: nil) - The user&#39;s first name. Read-only.","ref":"GoogleApi.Classroom.V1.Model.Name.html","title":"GoogleApi.Classroom.V1.Model.Name","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Name.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Name.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Name.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Name.t/0","type":"type"},{"doc":"Request to reclaim a student submission. Attributes","ref":"GoogleApi.Classroom.V1.Model.ReclaimStudentSubmissionRequest.html","title":"GoogleApi.Classroom.V1.Model.ReclaimStudentSubmissionRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ReclaimStudentSubmissionRequest.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ReclaimStudentSubmissionRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ReclaimStudentSubmissionRequest.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ReclaimStudentSubmissionRequest.t/0","type":"type"},{"doc":"An instruction to Classroom to send notifications from the feed to the provided destination. Attributes cloudPubsubTopic (type: GoogleApi.Classroom.V1.Model.CloudPubsubTopic.t, default: nil) - The Cloud Pub/Sub topic that notifications are to be sent to. expiryTime (type: DateTime.t, default: nil) - The time until which the Registration is effective. This is a read-only field assigned by the server. feed (type: GoogleApi.Classroom.V1.Model.Feed.t, default: nil) - Specification for the class of notifications that Classroom should deliver to the destination. registrationId (type: String.t, default: nil) - A server-generated unique identifier for this Registration. Read-only.","ref":"GoogleApi.Classroom.V1.Model.Registration.html","title":"GoogleApi.Classroom.V1.Model.Registration","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Registration.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Registration.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Registration.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Registration.t/0","type":"type"},{"doc":"Request to return a student submission. Attributes","ref":"GoogleApi.Classroom.V1.Model.ReturnStudentSubmissionRequest.html","title":"GoogleApi.Classroom.V1.Model.ReturnStudentSubmissionRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ReturnStudentSubmissionRequest.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ReturnStudentSubmissionRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ReturnStudentSubmissionRequest.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ReturnStudentSubmissionRequest.t/0","type":"type"},{"doc":"Drive file that is used as material for course work. Attributes driveFile (type: GoogleApi.Classroom.V1.Model.DriveFile.t, default: nil) - Drive file details. shareMode (type: String.t, default: nil) - Mechanism by which students access the Drive item.","ref":"GoogleApi.Classroom.V1.Model.SharedDriveFile.html","title":"GoogleApi.Classroom.V1.Model.SharedDriveFile","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.SharedDriveFile.html#decode/2","title":"GoogleApi.Classroom.V1.Model.SharedDriveFile.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.SharedDriveFile.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.SharedDriveFile.t/0","type":"type"},{"doc":"Student work for a short answer question. Attributes answer (type: String.t, default: nil) - Student response to a short-answer question.","ref":"GoogleApi.Classroom.V1.Model.ShortAnswerSubmission.html","title":"GoogleApi.Classroom.V1.Model.ShortAnswerSubmission","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.ShortAnswerSubmission.html#decode/2","title":"GoogleApi.Classroom.V1.Model.ShortAnswerSubmission.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.ShortAnswerSubmission.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.ShortAnswerSubmission.t/0","type":"type"},{"doc":"The history of each state this submission has been in. Attributes actorUserId (type: String.t, default: nil) - The teacher or student who made the change state (type: String.t, default: nil) - The workflow pipeline stage. stateTimestamp (type: DateTime.t, default: nil) - When the submission entered this state.","ref":"GoogleApi.Classroom.V1.Model.StateHistory.html","title":"GoogleApi.Classroom.V1.Model.StateHistory","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.StateHistory.html#decode/2","title":"GoogleApi.Classroom.V1.Model.StateHistory.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.StateHistory.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.StateHistory.t/0","type":"type"},{"doc":"Student in a course. Attributes courseId (type: String.t, default: nil) - Identifier of the course. Read-only. profile (type: GoogleApi.Classroom.V1.Model.UserProfile.t, default: nil) - Global user information for the student. Read-only. studentWorkFolder (type: GoogleApi.Classroom.V1.Model.DriveFolder.t, default: nil) - Information about a Drive Folder for this student&#39;s work in this course. Only visible to the student and domain administrators. Read-only. userId (type: String.t, default: nil) - Identifier of the user. When specified as a parameter of a request, this identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user","ref":"GoogleApi.Classroom.V1.Model.Student.html","title":"GoogleApi.Classroom.V1.Model.Student","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Student.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Student.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Student.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Student.t/0","type":"type"},{"doc":"Student submission for course work. StudentSubmission items are generated when a CourseWork item is created. StudentSubmissions that have never been accessed (i.e. with state = NEW) may not have a creation time or update time. Attributes alternateLink (type: String.t, default: nil) - Absolute link to the submission in the Classroom web UI. Read-only. assignedGrade (type: float(), default: nil) - Optional grade. If unset, no grade was set. This value must be non-negative. Decimal (i.e. non-integer) values are allowed, but will be rounded to two decimal places. This may be modified only by course teachers. assignmentSubmission (type: GoogleApi.Classroom.V1.Model.AssignmentSubmission.t, default: nil) - Submission content when course_work_type is ASSIGNMENT. Students can modify this content using google.classroom.Work.ModifyAttachments. associatedWithDeveloper (type: boolean(), default: nil) - Whether this student submission is associated with the Developer Console project making the request. See google.classroom.Work.CreateCourseWork for more details. Read-only. courseId (type: String.t, default: nil) - Identifier of the course. Read-only. courseWorkId (type: String.t, default: nil) - Identifier for the course work this corresponds to. Read-only. courseWorkType (type: String.t, default: nil) - Type of course work this submission is for. Read-only. creationTime (type: DateTime.t, default: nil) - Creation time of this submission. This may be unset if the student has not accessed this item. Read-only. draftGrade (type: float(), default: nil) - Optional pending grade. If unset, no grade was set. This value must be non-negative. Decimal (i.e. non-integer) values are allowed, but will be rounded to two decimal places. This is only visible to and modifiable by course teachers. id (type: String.t, default: nil) - Classroom-assigned Identifier for the student submission. This is unique among submissions for the relevant course work. Read-only. late (type: boolean(), default: nil) - Whether this submission is late. Read-only. multipleChoiceSubmission (type: GoogleApi.Classroom.V1.Model.MultipleChoiceSubmission.t, default: nil) - Submission content when course_work_type is MULTIPLE_CHOICE_QUESTION. shortAnswerSubmission (type: GoogleApi.Classroom.V1.Model.ShortAnswerSubmission.t, default: nil) - Submission content when course_work_type is SHORT_ANSWER_QUESTION. state (type: String.t, default: nil) - State of this submission. Read-only. submissionHistory (type: list(GoogleApi.Classroom.V1.Model.SubmissionHistory.t), default: nil) - The history of the submission (includes state and grade histories). Read-only. updateTime (type: DateTime.t, default: nil) - Last update time of this submission. This may be unset if the student has not accessed this item. Read-only. userId (type: String.t, default: nil) - Identifier for the student that owns this submission. Read-only.","ref":"GoogleApi.Classroom.V1.Model.StudentSubmission.html","title":"GoogleApi.Classroom.V1.Model.StudentSubmission","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.StudentSubmission.html#decode/2","title":"GoogleApi.Classroom.V1.Model.StudentSubmission.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.StudentSubmission.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.StudentSubmission.t/0","type":"type"},{"doc":"The history of the submission. This currently includes state and grade histories. Attributes gradeHistory (type: GoogleApi.Classroom.V1.Model.GradeHistory.t, default: nil) - The grade history information of the submission, if present. stateHistory (type: GoogleApi.Classroom.V1.Model.StateHistory.t, default: nil) - The state history information of the submission, if present.","ref":"GoogleApi.Classroom.V1.Model.SubmissionHistory.html","title":"GoogleApi.Classroom.V1.Model.SubmissionHistory","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.SubmissionHistory.html#decode/2","title":"GoogleApi.Classroom.V1.Model.SubmissionHistory.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.SubmissionHistory.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.SubmissionHistory.t/0","type":"type"},{"doc":"Teacher of a course. Attributes courseId (type: String.t, default: nil) - Identifier of the course. Read-only. profile (type: GoogleApi.Classroom.V1.Model.UserProfile.t, default: nil) - Global user information for the teacher. Read-only. userId (type: String.t, default: nil) - Identifier of the user. When specified as a parameter of a request, this identifier can be one of the following: the numeric identifier for the user the email address of the user the string literal &quot;me&quot;, indicating the requesting user","ref":"GoogleApi.Classroom.V1.Model.Teacher.html","title":"GoogleApi.Classroom.V1.Model.Teacher","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Teacher.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Teacher.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Teacher.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Teacher.t/0","type":"type"},{"doc":"Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and google.protobuf.Timestamp. Attributes hours (type: integer(), default: nil) - Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value &quot;24:00:00&quot; for scenarios like business closing time. minutes (type: integer(), default: nil) - Minutes of hour of day. Must be from 0 to 59. nanos (type: integer(), default: nil) - Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999. seconds (type: integer(), default: nil) - Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.","ref":"GoogleApi.Classroom.V1.Model.TimeOfDay.html","title":"GoogleApi.Classroom.V1.Model.TimeOfDay","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.TimeOfDay.html#decode/2","title":"GoogleApi.Classroom.V1.Model.TimeOfDay.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.TimeOfDay.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.TimeOfDay.t/0","type":"type"},{"doc":"Topic created by a teacher for the course Attributes courseId (type: String.t, default: nil) - Identifier of the course. Read-only. name (type: String.t, default: nil) - The name of the topic, generated by the user. Leading and trailing whitespaces, if any, will be trimmed. Also, multiple consecutive whitespaces will be collapsed into one inside the name. The result must be a non-empty string. Topic names are case sensitive, and must be no longer than 100 characters. topicId (type: String.t, default: nil) - Unique identifier for the topic. Read-only. updateTime (type: DateTime.t, default: nil) - The time the topic was last updated by the system. Read-only.","ref":"GoogleApi.Classroom.V1.Model.Topic.html","title":"GoogleApi.Classroom.V1.Model.Topic","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.Topic.html#decode/2","title":"GoogleApi.Classroom.V1.Model.Topic.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.Topic.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.Topic.t/0","type":"type"},{"doc":"Request to turn in a student submission. Attributes","ref":"GoogleApi.Classroom.V1.Model.TurnInStudentSubmissionRequest.html","title":"GoogleApi.Classroom.V1.Model.TurnInStudentSubmissionRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.TurnInStudentSubmissionRequest.html#decode/2","title":"GoogleApi.Classroom.V1.Model.TurnInStudentSubmissionRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.TurnInStudentSubmissionRequest.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.TurnInStudentSubmissionRequest.t/0","type":"type"},{"doc":"Global information for a user. Attributes emailAddress (type: String.t, default: nil) - Email address of the user. Read-only. id (type: String.t, default: nil) - Identifier of the user. Read-only. name (type: GoogleApi.Classroom.V1.Model.Name.t, default: nil) - Name of the user. Read-only. permissions (type: list(GoogleApi.Classroom.V1.Model.GlobalPermission.t), default: nil) - Global permissions of the user. Read-only. photoUrl (type: String.t, default: nil) - URL of user&#39;s profile photo. Read-only. verifiedTeacher (type: boolean(), default: nil) - Represents whether a G Suite for Education user&#39;s domain administrator has explicitly verified them as being a teacher. If the user is not a member of a G Suite for Education domain, than this field will always be false. Read-only","ref":"GoogleApi.Classroom.V1.Model.UserProfile.html","title":"GoogleApi.Classroom.V1.Model.UserProfile","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.UserProfile.html#decode/2","title":"GoogleApi.Classroom.V1.Model.UserProfile.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.UserProfile.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.UserProfile.t/0","type":"type"},{"doc":"YouTube video item. Attributes alternateLink (type: String.t, default: nil) - URL that can be used to view the YouTube video. Read-only. id (type: String.t, default: nil) - YouTube API resource ID. thumbnailUrl (type: String.t, default: nil) - URL of a thumbnail image of the YouTube video. Read-only. title (type: String.t, default: nil) - Title of the YouTube video. Read-only.","ref":"GoogleApi.Classroom.V1.Model.YouTubeVideo.html","title":"GoogleApi.Classroom.V1.Model.YouTubeVideo","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Classroom.V1.Model.YouTubeVideo.html#decode/2","title":"GoogleApi.Classroom.V1.Model.YouTubeVideo.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Classroom.V1.Model.YouTubeVideo.html#t:t/0","title":"GoogleApi.Classroom.V1.Model.YouTubeVideo.t/0","type":"type"}]